Bug 915592 (CVE-2013-1767) - CVE-2013-1767 Kernel: tmpfs: fix use-after-free of mempolicy object
Summary: CVE-2013-1767 Kernel: tmpfs: fix use-after-free of mempolicy object
Status: CLOSED ERRATA
Alias: CVE-2013-1767
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130224,reported=2...
Keywords: Security
Depends On: 915714 915715 915716 915720 915724 958696 958698
Blocks: 916133
TreeView+ depends on / blocked
 
Reported: 2013-02-26 07:55 UTC by Prasad J Pandit
Modified: 2019-06-08 19:27 UTC (History)
27 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-30 14:38:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2013:0882 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-05-30 22:29:49 UTC
Red Hat Product Errata RHSA-2013:0928 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-06-11 21:37:17 UTC

Description Prasad J Pandit 2013-02-26 07:55:30 UTC
Linux kernel built with support to `tmpfs' is vulnerable to a use-after-free flaw, which happens while remounting tmpfs, which was mounted with mpol=M option initially, but the same is missing in the remount request.

A privileged local user could use this flaw to crash the system or, potentially, further escalate their privileges.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/5f00110f7273f9ff04ac69a5f85bb535a4fd0987

References:
-----------
1] http://www.openwall.com/lists/oss-security/2013/02/25/14

Comment 1 Prasad J Pandit 2013-02-26 09:57:55 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 3 Prasad J Pandit 2013-02-26 11:22:09 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 915716]

Comment 5 Fedora Update System 2013-03-22 00:20:21 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2013-04-23 18:27:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 8 errata-xmlrpc 2013-05-20 17:01:13 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 9 errata-xmlrpc 2013-05-30 18:32:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:0882 https://rhn.redhat.com/errata/RHSA-2013-0882.html

Comment 10 errata-xmlrpc 2013-06-11 17:39:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html


Note You need to log in before you can comment on or make changes to this bug.